PIO_READ32(3)

FUNCTION
pio_read32 - Read a 32 bit integer from a channel object.

SYNOPSIS
#include <karma_pio.h>

flag pio_read32

(Channel channel, unsigned long *data)

DESCRIPTION
Read a 32 bit integer from a channel object.

channel
    The channel object.

data
    The data will be written here. This will be in host natural byte order. The data will be converted from network byte order after reading.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/